/*
 * Copyright (C) 2005 Chris Michael
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include "categories.h"
  
char *find_category(char *category) {
	char cats[PATH_MAX];
	char *token, *cat;

	cat = NULL;
	snprintf(cats, sizeof(cats), "%s", strdup(CATEGORIES));
	token = strtok(cats,":");
	while (token) {
		/* Check If this token is in supplied $t */	
		if (strstr(category, token) != NULL) {
			while (!cat) {
				if (strstr(token,"Development") != NULL) cat = "Programming";
				if (strstr(token,"Game") != NULL) cat = "Games";
				if (strstr(token,"AudioVideo") != NULL) cat = "Multimedia";
				if (strstr(token,"Network") != NULL) cat = "Internet";
				if (strstr(token,"Education") != NULL) cat = "Edutainment";
				if (strstr(token,"Amusement") != NULL) cat = "Toys";
				if (strstr(token,"TextEditor") != NULL) cat = "Editors";
				if (strstr(token,"Utility") != NULL) cat = "Utilities";
				if (!cat) cat = strdup(token);
			}
		}
		token = strtok(NULL, ":");	
	}
	return cat;	 
}
