/*
 * Copyright (C) 2005 Chris Michael
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include "global.h"

static char *e17genmenu_gnome_theme;
static char *e17genmenu_kde_theme;

char *get_home() {
	char *d;
	int length;
	char home[PATH_MAX];

	/* Get Home Dir, check for trailing '/', strip it */
	snprintf(home, sizeof(home), "%s/", getenv("HOME"));
	d = strrchr(home, '/');
	if (d) {
		if (strlen(d) == 1) {
			if (home[(length = strlen(home) - 1)] == '/') home[length] = '\0';
		}
		d = strdup(home);
		return d;
	} else {
		return strdup(home);
	}
}

int sort_list(void *d1, void *d2) {
	if (!d1) return(1);
	if (!d2) return(-1);
	return (strcmp((const char*)d1, (const char*)d2));
}

int search_list(Evas_List *list, char *search) {
	int i;
	
	for (i = 0; i < evas_list_count(list); i++) {
		if (strcmp(evas_list_nth(list, i), search) == 0) return(1);
	}			
	return (0);
}

char *get_theme(char *desk) {
	if (strcmp(desk, "Gnome") == 0) {
		if (e17genmenu_gnome_theme != NULL) {
			return e17genmenu_gnome_theme;
		} else {
			return NULL;
		}
	} else if (strcmp(desk, "Kde") == 0) {
		if (e17genmenu_kde_theme != NULL) {
			return e17genmenu_kde_theme;
		} else {
			return NULL;
		}
	}
}

void set_theme(char *desk, char *theme) {
	if (!theme) return;
	if (strcmp(desk, "Gnome") == 0) {
		e17genmenu_gnome_theme = strdup(theme);
	} else if (strcmp(desk, "Kde") == 0) {
		e17genmenu_kde_theme = strdup(theme);
	}
}
