/*
 * Copyright (C) 2005 Chris Michael
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef ICONS_H
#define ICONS_H

#include <Ecore_File.h>
#include <Engrave.h>
#include "config.h"

#define PIXMAPDIR "/usr/share/pixmaps"
#ifdef HAVE_KDE
	#define KDEICON PACKAGE_ICON_DIR"/kmenu.png"
	#define KDEICONDIR KDE_PREFIX"/share/icons/crystalsvg/32x32/apps"
	#define KDEFILESICONDIR KDE_PREFIX"/share/icons/crystalsvg/32x32/filesystems"
	#define KDEDEVSICONDIR KDE_PREFIX"/share/icons/crystalsvg/32x32/devices"
	//#define KDESTOCKICONDIR KDE_PREFIX"/share/icons/crystalsvg/32x32/stock"
#endif

#ifdef HAVE_GNOME
	#define GNOMEICON PACKAGE_ICON_DIR"/gnome-main-menu.png"
	#define GNOMEAPPICONDIR GNOME_PREFIX"/share/icons/hicolor/48x48/apps"
	#define GNOMEDEVSICONDIR GNOME_PREFIX"/share/icons/hicolor/48x48/devices"
	#define GNOMEFILESICONDIR GNOME_PREFIX"/share/icons/hicolor/48x48/filesystems"
	//#define GNOMESTOCKICONDIR GNOME_PREFIX"/share/icons/hicolor/48x48/stock"
#endif

#define APPLICATIONICON PACKAGE_ICON_DIR"/package_applications.png"
#define COREICON PACKAGE_ICON_DIR"/package_applications.png"
#define EDITORICON PACKAGE_ICON_DIR"/package_editors.png"
#define EDUTAINMENTICON PACKAGE_ICON_DIR"/package_edutainment.png"
#define GAMESICON PACKAGE_ICON_DIR"/package_games.png"
#define GRAPHICSICON PACKAGE_ICON_DIR"/package_graphics.png"
#define INTERNETICON PACKAGE_ICON_DIR"/package_network.png"
#define MULTIMEDIAICON PACKAGE_ICON_DIR"/package_multimedia.png"
#define OFFICEICON PACKAGE_ICON_DIR"/package_wordprocessing.png"
#define PROGRAMMINGICON PACKAGE_ICON_DIR"/package_development.png"
#define SETTINGSICON PACKAGE_ICON_DIR"/package_settings.png"
#define SYSTEMICON PACKAGE_ICON_DIR"/package_system.png"
#define TOYSICON PACKAGE_ICON_DIR"/package_toys.png"
#define UTILITYICON PACKAGE_ICON_DIR"/package_utilities.png"

char *get_dir(char *icon);
char *set_icon(char *token);
void write_icon(char *f, char *i);
char *find_icon(char *desk, char *icon);

#endif
